curl -X POST "https://api.oxenty.api.br/api/messages/list" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"sessionId": "550e8400-e29b-41d4-a716-446655440000",
"to": "5511999999999",
"text": "Escolha uma opção:",
"buttonText": "Ver opções",
"title": "Menu Principal",
"sections": [
{
"title": "Serviços",
"rows": [
{ "rowId": "srv1", "title": "Suporte Técnico", "description": "Ajuda com problemas" },
{ "rowId": "srv2", "title": "Vendas", "description": "Falar com vendedor" }
]
},
{
"title": "Informações",
"rows": [
{ "rowId": "info1", "title": "Horários", "description": "Ver horário de funcionamento" },
{ "rowId": "info2", "title": "Localização", "description": "Como chegar" }
]
}
]
}'
const result = await client.messages.sendList({
sessionId: '550e8400-e29b-41d4-a716-446655440000',
to: '5511999999999',
text: 'Escolha uma opção:',
buttonText: 'Ver opções',
title: 'Menu Principal',
sections: [
{
title: 'Serviços',
rows: [
{ rowId: 'srv1', title: 'Suporte Técnico', description: 'Ajuda com problemas' },
{ rowId: 'srv2', title: 'Vendas', description: 'Falar com vendedor' },
],
},
],
});
{
"messageId": "3EB0A1B2C3D4E5F6",
"status": "sent"
}
Mensagens
Enviar Lista
Envia mensagem com lista de opções
POST
/
api
/
messages
/
list
curl -X POST "https://api.oxenty.api.br/api/messages/list" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"sessionId": "550e8400-e29b-41d4-a716-446655440000",
"to": "5511999999999",
"text": "Escolha uma opção:",
"buttonText": "Ver opções",
"title": "Menu Principal",
"sections": [
{
"title": "Serviços",
"rows": [
{ "rowId": "srv1", "title": "Suporte Técnico", "description": "Ajuda com problemas" },
{ "rowId": "srv2", "title": "Vendas", "description": "Falar com vendedor" }
]
},
{
"title": "Informações",
"rows": [
{ "rowId": "info1", "title": "Horários", "description": "Ver horário de funcionamento" },
{ "rowId": "info2", "title": "Localização", "description": "Como chegar" }
]
}
]
}'
const result = await client.messages.sendList({
sessionId: '550e8400-e29b-41d4-a716-446655440000',
to: '5511999999999',
text: 'Escolha uma opção:',
buttonText: 'Ver opções',
title: 'Menu Principal',
sections: [
{
title: 'Serviços',
rows: [
{ rowId: 'srv1', title: 'Suporte Técnico', description: 'Ajuda com problemas' },
{ rowId: 'srv2', title: 'Vendas', description: 'Falar com vendedor' },
],
},
],
});
{
"messageId": "3EB0A1B2C3D4E5F6",
"status": "sent"
}
Envia uma mensagem com uma lista de opções organizadas em seções. O usuário pode selecionar uma opção da lista.
Este recurso pode não funcionar em todas as versões do WhatsApp devido a restrições da plataforma.
Request Body
string
required
ID da sessão WhatsApp.
string
required
Número do destinatário ou JID de grupo.
string
required
Texto principal da mensagem.
string
required
Texto do botão que abre a lista.
string
Título da lista (opcional).
string
Texto de rodapé (opcional).
array
required
Resposta
string
ID único da mensagem enviada.
curl -X POST "https://api.oxenty.api.br/api/messages/list" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"sessionId": "550e8400-e29b-41d4-a716-446655440000",
"to": "5511999999999",
"text": "Escolha uma opção:",
"buttonText": "Ver opções",
"title": "Menu Principal",
"sections": [
{
"title": "Serviços",
"rows": [
{ "rowId": "srv1", "title": "Suporte Técnico", "description": "Ajuda com problemas" },
{ "rowId": "srv2", "title": "Vendas", "description": "Falar com vendedor" }
]
},
{
"title": "Informações",
"rows": [
{ "rowId": "info1", "title": "Horários", "description": "Ver horário de funcionamento" },
{ "rowId": "info2", "title": "Localização", "description": "Como chegar" }
]
}
]
}'
const result = await client.messages.sendList({
sessionId: '550e8400-e29b-41d4-a716-446655440000',
to: '5511999999999',
text: 'Escolha uma opção:',
buttonText: 'Ver opções',
title: 'Menu Principal',
sections: [
{
title: 'Serviços',
rows: [
{ rowId: 'srv1', title: 'Suporte Técnico', description: 'Ajuda com problemas' },
{ rowId: 'srv2', title: 'Vendas', description: 'Falar com vendedor' },
],
},
],
});
{
"messageId": "3EB0A1B2C3D4E5F6",
"status": "sent"
}